package com.bonus.canteen.core.supermarket.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class SupermarketNotRemovedProductListDTO {
   @ApiModelProperty("超市id")
   private Long supermarketId;
   @ApiModelProperty("商品id集合")
   private List<Long> materialIdList;
   @ApiModelProperty("人员id")
   private Long custId;

   public Long getSupermarketId() {
      return this.supermarketId;
   }

   public List<Long> getMaterialIdList() {
      return this.materialIdList;
   }

   public Long getCustId() {
      return this.custId;
   }

   public void setSupermarketId(final Long supermarketId) {
      this.supermarketId = supermarketId;
   }

   public void setMaterialIdList(final List<Long> materialIdList) {
      this.materialIdList = materialIdList;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   @Override
   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SupermarketNotRemovedProductListDTO)) {
         return false;
      } else {
         SupermarketNotRemovedProductListDTO other = (SupermarketNotRemovedProductListDTO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label47: {
               Object this$supermarketId = this.getSupermarketId();
               Object other$supermarketId = other.getSupermarketId();
               if (this$supermarketId == null) {
                  if (other$supermarketId == null) {
                     break label47;
                  }
               } else if (this$supermarketId.equals(other$supermarketId)) {
                  break label47;
               }

               return false;
            }

            Object this$custId = this.getCustId();
            Object other$custId = other.getCustId();
            if (this$custId == null) {
               if (other$custId != null) {
                  return false;
               }
            } else if (!this$custId.equals(other$custId)) {
               return false;
            }

            Object this$materialIdList = this.getMaterialIdList();
            Object other$materialIdList = other.getMaterialIdList();
            if (this$materialIdList == null) {
               if (other$materialIdList != null) {
                  return false;
               }
            } else if (!this$materialIdList.equals(other$materialIdList)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof SupermarketNotRemovedProductListDTO;
   }

   @Override
   public int hashCode() {
      int result = 1;
      Object $supermarketId = this.getSupermarketId();
      result = result * 59 + ($supermarketId == null ? 43 : $supermarketId.hashCode());
      Object $custId = this.getCustId();
      result = result * 59 + ($custId == null ? 43 : $custId.hashCode());
      Object $materialIdList = this.getMaterialIdList();
      result = result * 59 + ($materialIdList == null ? 43 : $materialIdList.hashCode());
      return result;
   }

   @Override
   public String toString() {
      Long var10000 = this.getSupermarketId();
      return "SupermarketNotRemovedProductListDTO(supermarketId=" + var10000 + ", materialIdList=" + String.valueOf(this.getMaterialIdList()) + ", custId=" + this.getCustId() + ")";
   }
}
